<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Chela+One&display=swap"/>

    <!--Css-->
    <link rel="stylesheet" href="style.css" />
    <link rel="website icon" type="png" href="midias/cropped-Cruz_Site.png" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link rel="stylesheet" href="https://fonts.cdnfonts.com/css/carnivalee-freakshow"/>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400&display=swap"/>

    <!--Box Icons-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css"/>

    <!--Biblioteca Vue-->
    <script src="vue.global.js"></script>

    <title>Vasco da Gama - A História Mais Bonita do Futebol</title>
</head>
<body>

    <!--Navbar-->
    <header>
        <a href="" class="logo"><img src="midias/cropped-Cruz_Site.png" alt="" /></a>
        <div class="bx bx-menu" id="menu-icon"></div>

        <ul class="navbar">
            <li><a href="#home">Inicio</a></li>
            <li><a href="#time">Time</a></li>
            <li><a href="#socio">Sócio</a></li>
            <li><a href="#contato">Contato</a></li>
        </ul>
    </header>

    <div id="app">

        <!--Home-->
        <section class="home" id="home">

        <div class="fundo"></div>

        <div class="home-text">
            <span>Seja Bem Vindo</span>
            <h1>Clube de Regatas</h1>
            <h2>Vasco da Gama <br /></h2>
            <h2>Cadastre-se agora!</h2>
        </div>

        <div id="container">
            <h2 class="loginH2">Login</h2> 
            <form>
            <input class="inputU" type="text" id="username" name="username"  placeholder="Usuário" v-model="username" required/>
            <br>
            <br>
            <input class="inputS" type="password" id="password" name="password" placeholder="Senha:" v-model="password" required/>

            <button class="entrar" type="submit" @click.prevent="loginArray">
                Entrar
            </button>
            <!-- <a class="cadastro" href="cadastrar.html" class="cadastrar">Cadastrar<a> -->
                <a v-if="mostrarLista" href="mostrar.html"><p class="mostrar" @click="verCadastrados">Mostrar Lista</p></a>
                <a v-if="mostrarCadastro" class="cadastro" href="cadastro.html">Cadastrar</a>    
            
            </form>

            <p class="error" :class="{entrada : mostrarEntrada}">{{error}}</p>
            <p class="sucesso" :class="{entrada : mostrarEntrada}">{{sucesso}}</p>
        </div>
        </section>

        <!--Time-->
        <section class="time" id="time">

        <div class="heading">
            <span>O Time</span>
            <h1>Gigante da Colina</h1>
        </div>

        <div class="container">
            <div class="time-img">
            <img src="midias/vasco4.jpg" alt='Sem Internet'/>
            </div>

            <div class="time-text">
            <h2>Vasco da Gama</h2>

            <p>
                O Vasco foi fundado como um clube de remo em 1898, 
                por um grupo de 63 rapazes, 
                imigrantes portugueses e luso-descendentes, reunidos no bairro da Saúde.
            </p>

            <p>
                O nome escolhido foi Clube de Regatas Vasco da Gama, 
                pois naquele ano eram comemorados os 400 anos 
                da viagem do célebre almirante à Índia. Em 1923, com uma campanha arrasadora (11 vitórias, dois empates e apenas uma derrota), 
                conquistou o primeiro titulo de campeão carioca de sua História.
            </p>
            </div>
        </div>
        </section>

        <!--Sócio-->
        <section class="socio" id="socio">

        <div class="heading">
            <span>Seja sócio</span>
            <h1>Sócio Gigante</h1>
        </div>

        <div class="container">
            <div class="socio-text">
            <h2>Venha aproveitar os beneficios do Vasco</h2>
            <p>
                Para os verdadeiros apaixonados pelo Vasco da Gama, 
                tornar-se sócio torcedor era muito mais do que uma simples associação.
            </p>
            
            <p>
                Ser sócio torcedor do Vasco da Gama era uma experiência enriquecedora e emocionante. 
                A oportunidade de viver a paixão pelo futebol de forma intensa,
                de contribuir para o crescimento do clube e de se sentir parte
            </p>

            <a href="https://www.youtube.com/watch?v=_AKEvOgG4aA" class="btn">Assine agora</a>
            </div>

            <div class="socio-img">
            <img src="midias/vasco2.jpg" alt="" />
            </div>
        </div>
        </section>

    <!--Contato/rodapé-->
        <section class="contato" id="contato">
        <div class="social">
            <a href="https://www.facebook.com/vascodagama"><i class="bx bxl-facebook"></i></a>
            <a href="https://twitter.com/VascodaGama"><i class="bx bxl-twitter"></i></a>
            <a href="https://www.instagram.com/vascodagama/"><i class="bx bxl-instagram"></i></a>
            <a href="https://www.youtube.com/c/vasco"><i class="bx bxl-youtube"></i></a>
        </div>
        <div class="links">
            <a href="#">Política de Privacidade</a>
            <a href="#">Termos de Uso</a>
            <a href="#">Acessibilidade</a>
        </div>
        <p>&#169; Copyright. All Right Reserved</p>
        </section>
    </div><!--Fechamento div principal-->

    <!--Javascript-->
    <script type="module" src="java.js"></script>

</body>
</html>
